Get all distinct attribute values of a recipient
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/distinctvalues
clientIdstringClient ID
recipientListIdinteger<int64>Recipient list ID
targetGroupinteger<int64>Target group ID
attributeNamestring<p>Field name (e.g. firstname, lastname etc.) to be retrieved for distinct values</p>
thresholdinteger<int32>Number of characters that are examined
acceptstringGenerated from available response content types
200The distinct values were retrieved successfully.
400Attribute name is not provided or attribute name does not exist in current recipient list
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/recipients/{recipientListId}/distinctvalues?attributeName=string&threshold=100000' \
--header 'accept: application/json'